<?php
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	require('lib/lib.php');
	Inactividad();
}
?>
<script>
$(document).ready(function() {
	
	var inputPasswordActual = $("#edtPasswordActual");
	var reqPasswordActual = $("#req-PasswordActual");
	var inputPassword1 = $("#edtPassword1");
	var reqPassword1 = $("#req-Password1");
	var inputPassword2 = $("#edtPassword2");
	var reqPassword2 = $("#req-Password2");
	
	function validarPasswordActual(){
		$("#message").html('');
		if(inputPasswordActual.val().length < 3 || inputPasswordActual.val().length > 15){
			inputPasswordActual.addClass("error2");
			reqPasswordActual.addClass("error2");
			$("#req-PasswordActual").html('A-Z y 0-9, Mín. 3 y Máx. 15 caracteres.');
			$("#req-PasswordActualImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputPasswordActual.val().match(/^[a-zA-Z0-9]+$/)){
			inputPasswordActual.addClass("error2");
			reqPasswordActual.addClass("error2");
			$("#req-PasswordActual").html('Solo se aceptan números y letras.');
			$("#req-PasswordActualImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(VerificarPassword() != true){
			inputPasswordActual.addClass("error2");
			reqPasswordActual.addClass("error2");
			$("#req-PasswordActual").html("No es la Contraseña Actual.");
			$("#req-PasswordActualImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputPasswordActual.removeClass("error2");
			reqPasswordActual.removeClass("error2");
			$("#req-PasswordActual").html("");
			$("#req-PasswordActualImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarPassword1(){
		if(inputPassword1.val().length < 3 || inputPassword1.val().length > 12){
			inputPassword1.addClass("error2");
			reqPassword1.addClass("error2");
			$("#req-Password1").html('A-Z y 0-9, Mín. 3 y Máx. 12 caracteres.');
			$("#req-Password1Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputPassword1.val().match(/^[a-zA-Z0-9]+$/)){
			inputPassword1.addClass("error2");
			reqPassword1.addClass("error2");
			$("#req-Password1").html("Solo se aceptan números y letras.");
			$("#req-Password1Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputPassword1.removeClass("error2");
			reqPassword1.removeClass("errro2");
			$("#req-Password1").html("");
			$("#req-Password1Img").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	function validarPassword2(){
		if(inputPassword2.val().length < 3 || inputPassword2.val().lenght > 12){
			inputPassword2.addClass("error2");
			reqPassword2.addClass("error2");
			$("#req-Password2").html("A-Z y 0-9, Mín. 3 y Máx. 12 caracteres.");
			$("#req-Password2Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputPassword2.val().match(/^[a-zA-Z0-9]+$/)){
			inputPassword2.addClass("error2");
			reqPassword2.addClass("error2");
			$("#req-Password2").html("Solo se aceptan números y letras.");
			$("#req-Password12mg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(inputPassword2.val() != inputPassword1.val()){
			inputPassword2.addClass("error2");
			reqPassword2.addClass("error2");
			$("#req-Password2").html("Confirme la misma Contraseña.");
			$("#req-Password2Img").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else{
			inputPassword2.removeClass("error2");
			reqPassword2.removeClass("error2");
			$("#req-Password2").html("");
			$("#req-Password2Img").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	inputPasswordActual.blur(validarPasswordActual);
	inputPassword1.blur(validarPassword1);
	inputPassword2.blur(validarPassword2);
	
	$('#CambioPassword').submit(function() {
		if(validarPasswordActual() & validarPassword1() & validarPassword2())
			GuardarPassword();
		else 
			return false;
		return false;	
	});
	function VerificarPassword() {
		$.ajax({
			type: "POST",
			data: "Opcion=4&Password="+$('#edtPasswordActual').val()+"",  
			url: "ControlDuplicados.php",
			async: false,
			success: function(response) {
				if(response == 'SI')
					respuesta = true;
				else if(response == 'NO')
					respuesta = false;
				else
					$('#message').hmtl(response);
			}
		});
		return respuesta;
	}
	function GuardarPassword() {
		$.ajax({
			type: "POST",
			data: "Password="+$('#edtPassword2').val()+"",  
			url: "ProcesarCambioPassword.php",
			success: function(response) {
				if(response == 'Cambiado'){
					$.growlUI('Contraseña Actualizada', 'Satisfactoriamente!');
					$("#message").html("<p class='success'>La Contraseña ha sido actualizada satisfactoriamente.</p>");
				}else
					$('#message').html(response);
			}
		});
	}
});
</script>
<table align="center" width="910" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td align="right" scope="col">
    <div id="dialog" class="dialog" title="Información de Modificación de Contraseña">
        <p>Si desea Modificar la Contraseña actual del Cliente/Usuario:
        <br></br>* Escriba la Contraseña actual.
        <br>
        </br>* Escriba la Nueva Contraseña y confirmé.
        <br></br>* Oprima el botón 'Actualizar Contraseña'.
        <br></br>* Si existe alguna advertencia, corrija.</p>
    </div>
    <b>Ayuda</b><img src="images/Help.png" name="opener" width="25" height="25" id="opener"/></td>
  </tr>
  <tr>
    <td scope="row">&nbsp;</td>
  </tr>
  <tr>
    <td scope="row">&nbsp;</td>
  </tr>
  <tr>
    <td scope="row">&nbsp;</td>
  </tr>
  <tr>
    <td scope="row">
    <form id="CambioPassword" name="CambioPassword" action= "" method="post">
    <table width="550" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td id="Titulo" colspan="2" align="center" scope="col">Modificación de la Contraseña.</td>
        </tr>
      <tr>
        <td width="197" scope="col">&nbsp;</td>
        <td width="353" scope="col">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" scope="row">&nbsp;</td>
        <td align="left"><b><label>Usuario: </label></b></td>
      </tr>
      <tr>
        <td align="left" scope="row">&nbsp;</td>
        <td align="left" title="<? echo $_SESSION['Nombre']; ?>"><? echo utf8_encode(CortarPalabras($_SESSION['Nombre'], 40));?></td>
      </tr>
      <tr>
        <td align="left" scope="row">&nbsp;</td>
        <td align="left">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" scope="row">&nbsp;</td>
        <td align="left"><b>
        <label>Correo Eletrónico: </label></b></td>
      </tr>
      <tr>
        <td align="left" scope="row">&nbsp;</td>
        <td align="left"><? echo $_SESSION['email'];?></td>
      </tr>
      <tr>
        <td align="left" scope="row">&nbsp;</td>
        <td align="left">&nbsp;</td>
      </tr>
      <tr>
        <td align="left" scope="row">&nbsp;</td>
        <td align="left"><b><label>Contraseña Actual: </label></b></td>
      </tr>
      <tr>
        <td align="left" scope="row">&nbsp;</td>
        <td align="left"><input class="txt" name="edtPasswordActual" type="password" id="edtPasswordActual"  title="Escribe la contraseña Actual." maxlength="12"/><span id="req-PasswordActualImg" class="requisites error"></span></td>
      </tr>
      <tr>
        <td scope="row">&nbsp;</td>
        <td align="left"><b><span id="req-PasswordActual" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td scope="row">&nbsp;</td>
        <td align="left"><b><label>Contraseña Nueva: </label></b></td>
      </tr>
      <tr>
        <td align="left" scope="row">&nbsp;</td>
        <td align="left"><input class="txt" name="edtPassword1" type="password" id="edtPassword1" title="Escribe la contraseña Nueva." maxlength="12" /><span id="req-Password1Img" class="requisites error"></span></td>
      </tr>
      <tr>
        <td align="left" scope="row">&nbsp;</td>
        <td align="left"><b><span id="req-Password1" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td align="left" scope="row">&nbsp;</td>
        <td align="left"><b><label>Confirmar Contraseña: </label></b></td>
      </tr>
      <tr>
        <td align="left" scope="row">&nbsp;</td>
        <td align="left"><input class="txt" name="edtPassword2" type="password" id="edtPassword2" title="Confirme la Contraseña nueva del Usuario." maxlength="12" /><span id="req-Password2Img" class="requisites error"></span></td>
      </tr>
      <tr>
        <td scope="row">&nbsp;</td>
        <td align="left"><b><span id="req-Password2" class="requisites error"></span></b></td>
      </tr>
      <tr>
        <td colspan="2" scope="row">&nbsp;</td>
        </tr>
      <tr>
        <td colspan="2" align="center" scope="row"><input class="submit" type="submit" name="submit" id="submit" value="Actualizar Contraseña" title="Actualizar la contraseña."/></td>
        </tr>
      <tr>
        <td scope="row">&nbsp;</td>
        <td align="left">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="2" align="center" scope="row"><b><div id="message"></div></b></td>
        </tr>
    </table>
    </form>
    </td>
  </tr>
  <tr>
    <td align="center" scope="row"><b class="error">Para cualquier duda, revise nuestra sección de Ayuda. <img src="images/Arrow.png" width="40" height="40" /></b></td>
  </tr>
</table>
